Veracode for VS Code Technical Requirements

IDEs

Supported Software Versions

Product Minimum Version
Visual Studio Code 1.30.2
Node.js 8.9.3

Visual Studio Code does not support .NET web applications that use .NET Core.

Supported Languages

Veracode for VS Code supports Visual Studio Code 1.30.2 and later with the following languages:

  • JavaScript
  • TypeScript
  • .NET Core: C#

System Requirements

See the requirements for Visual Studio Code at https://code.visualstudio.com/docs/supporting/requirements.